Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 29 Aug 2022 16:28:50 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? They are late to deliver my order for two day I receive a massage but nobody contact me about location or what time I receive the order and in the end of the day they send another massage saying they could not reach me !!!!!!!!!!!!!  
 
When I receive my order !???? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4796573